CoCoALib - Feature #39

Squarefree factorization
30 Nov 2011 16:04 - John Abbott

Status: Closed Start date: 30 Nov 2011
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: New Function Estimated time: 0.00 hour
Target version: CoCoALib-0.99532 Spent time: 129.60 hours
Description

Implement squarefree factorization (most especially for polynomial rings).
This is just a parent task; it has many subtasks representing the various steps needed to reach the goal.

This mostly managed by John Abbott; some of the work is delegated to Alessio d'Ali".

Subtasks:
Feature # 40: Squarefree factorization - Alessio d'Ali" Closed
Feature # 41: Squarefree factorization - overhead Closed
Feature # 42: Squarefree factorization - generic case Closed
Feature # 43: Squarefree factorization - for polynomials Closed
Feature # 44: Squarefree factorization - univariate polynomials Closed
Feature # 45: Squarefree factorization - univariate polynomials, char 0 Closed
Feature # 46: Squarefree factorization - univariate polynomials, char p > 0 Closed
Feature # 69: p-th root Closed
Feature # 47: Squarefree factorization - multivariate polynomials Closed
Feature # 48: Squarefree factorization - multivariate polynomials, char 0 Closed
Feature # 49: Squarefree factorization - multivariate polynomials, char p > 0 Closed

Related issues:

Related to CoCoALib - Feature #516: Make squarefreefactor work in multiple po... New 02 Apr 2014
Related to CoCoALib - Feature #796: CoCoALib function for radical (or SgFree)... Closed 05 Nov 2015
History

#1 - 23 Oct 2013 20:50 - John Abbott
- Status changed from New to Feedback

- Assignee set to John Abbott

The issue has been resolved by implementing Bernardin's algm (which seems to work quite well in practice).

The code has been ported into CoCoALib (with doc & tests, of course).
It seems to work fine in "normal" rings, but may not work some "unusual” rings (see #47 for more details).

Putting this issue into feedback: the code will be released publicly in a few days!

PS it looks as though | created far too many subtasks; initially it seemed that each subtask would require separate handling, but in the end just 2
impls did everything reasonably well.

#2 - 29 Oct 2013 13:05 - Anna Maria Bigatti
- Target version set to CoCoALib-0.99532
https://cocoa.dima.unige.it/redmine/issues/47

#3 - 02 Apr 2014 18:58 - John Abbott
- Status changed from Feedback to Closed
